using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using Telerik.WebControls;

public partial class _Default : System.Web.UI.Page
{


    protected void Page_Load(object sender, EventArgs e)
    {
        if (string.IsNullOrEmpty(Request.QueryString["RadUrid"]))
        {
            RadAjaxManager1.AjaxUrl = RadProgressManager1.ApplyUniquePageIdentifier(Request.RawUrl);
        }
        else
        {
            RadProgressManager1.UniquePageIdentifier = Request.QueryString["RadUrid"];
        }

        if (!IsPostBack)
        {
            //Do not display SelectedFilesCount progress indicator.
            RadProgressArea1.ProgressIndicators &= ~ProgressIndicators.SelectedFilesCount;

            RadProgressArea1.Localization["UploadedFiles"] = "Processed ";
            RadProgressArea1.Localization["TotalFiles"] = "";
            RadProgressArea1.Localization["CurrentFileName"] = "File: ";

            RadProgressContext progress = RadProgressContext.Current;
            //Prevent the secondary progress from appearing when the file is uploaded (FileCount etc.)
            progress["SecondaryTotal"] = "0";
            progress["SecondaryValue"] = "0";
            progress["SecondaryPercent"] = "0";
        }

    }

    public void buttonSubmit_Click(object sender, System.EventArgs e)
    {
        LooongMethodWhichUpdatesTheProgressContext();

        Label1.Text = "Updated";
    }

    protected void LooongMethodWhichUpdatesTheProgressContext()
    {
        const int total = 100;

        RadProgressContext progress = RadProgressContext.Current;

        for (int i = 0; i <= total; i++)
        {
            progress["SecondaryTotal"] = total.ToString();
            progress["SecondaryValue"] = i.ToString();
            progress["SecondaryPercent"] = i.ToString();
            progress["CurrentOperationText"] = " is being processed...";

            if (!Response.IsClientConnected)
            {
                //Cancel button was clicked or the browser was closed, so stop processing   
                break;
            }

            //Stall the current thread for 0.1 seconds   
            System.Threading.Thread.Sleep(50);
        }
    }   
}
